#include <iostream>
using namespace std;

int main()
{
    int N, L;
    cin >> N >> L;
    int a[N];
    int b = -1;
    for(int i = 0; i < N; i++){
        cin >> a[i];
        if(a[i] <= L && b == -1)
            b = i + 1;
    }
    cout << b;

    return 0;
}